## Interacting with present

## Actions:
# Open/Close: shift+right click
# Add/Remove: right click when open
# Dye       : right click when closed
# Add Powder: right click when closed

## State Numbers:
# Closed        = 0
# Open          = 1
# Closed filled = 2
# Open filled   = 3

# add temp tag to target player
execute on target run tag @s add ch.interacted

# open
execute if score @s[tag=!ch.interacted] ch.present_state matches 0 on target if entity @s[tag=ch.sneaking] as @e[limit=1,sort=nearest,tag=ch.present_interaction] run function christmas:blocks/present/function/interact/open
execute if score @s[tag=!ch.interacted] ch.present_state matches 2 on target if entity @s[tag=ch.sneaking] as @e[limit=1,sort=nearest,tag=ch.present_interaction] run function christmas:blocks/present/function/interact/open
# close
execute if score @s[tag=!ch.interacted] ch.present_state matches 1 on target if entity @s[tag=ch.sneaking] as @e[limit=1,sort=nearest,tag=ch.present_interaction] run function christmas:blocks/present/function/interact/close
execute if score @s[tag=!ch.interacted] ch.present_state matches 3 on target if entity @s[tag=ch.sneaking] as @e[limit=1,sort=nearest,tag=ch.present_interaction] run function christmas:blocks/present/function/interact/close
# add
execute if score @s[tag=!ch.interacted] ch.present_state matches 1 on target if entity @s[tag=!ch.sneaking,nbt={SelectedItem:{}}] as @e[limit=1,sort=nearest,tag=ch.present_interaction] run function christmas:blocks/present/function/interact/add
# remove
execute if score @s[tag=!ch.interacted] ch.present_state matches 3 on target if entity @s[tag=!ch.sneaking,nbt=!{SelectedItem:{}}] as @e[limit=1,sort=nearest,tag=ch.present_interaction] run function christmas:blocks/present/function/interact/remove
# dye
execute if score @s[tag=!ch.interacted] ch.present_state matches 0 on target if entity @s[tag=!ch.sneaking,nbt={SelectedItem:{}},nbt=!{SelectedItem:{id:"minecraft:gunpowder"}}] run function christmas:blocks/present/function/interact/dye
execute if score @s[tag=!ch.interacted] ch.present_state matches 2 on target if entity @s[tag=!ch.sneaking,nbt={SelectedItem:{}},nbt=!{SelectedItem:{id:"minecraft:gunpowder"}}] run function christmas:blocks/present/function/interact/dye
# explosive
execute if score @s[tag=!ch.interacted] ch.present_state matches 0 on target if entity @s[tag=!ch.sneaking,nbt={SelectedItem:{id:"minecraft:gunpowder"}}] run function christmas:blocks/present/function/interact/explosive
execute if score @s[tag=!ch.interacted] ch.present_state matches 2 on target if entity @s[tag=!ch.sneaking,nbt={SelectedItem:{id:"minecraft:gunpowder"}}] run function christmas:blocks/present/function/interact/explosive


execute on target run tag @s remove ch.interacted
tag @s remove ch.interacted
data remove entity @s interaction