# Dye present -> Command ran from target player at interaction position

# Check if holding dye
execute if entity @s[nbt={SelectedItem:{id:"minecraft:red_dye"}}] run tag @s add ch.dye
execute if entity @s[nbt={SelectedItem:{id:"minecraft:purple_dye"}}] run tag @s add ch.dye
execute if entity @s[nbt={SelectedItem:{id:"minecraft:lime_dye"}}] run tag @s add ch.dye
execute if entity @s[nbt={SelectedItem:{id:"minecraft:green_dye"}}] run tag @s add ch.dye
execute if entity @s[nbt={SelectedItem:{id:"minecraft:blue_dye"}}] run tag @s add ch.dye
execute if entity @s[nbt={SelectedItem:{id:"minecraft:pink_dye"}}] run tag @s add ch.dye
execute if entity @s[nbt={SelectedItem:{id:"minecraft:orange_dye"}}] run tag @s add ch.dye


# Change model based on dye
execute if entity @s[tag=ch.dye] run function christmas:blocks/present/function/model/dye

# Visual + Sound
execute if entity @s[tag=ch.dye] run playsound item.dye.use block @a ~ ~ ~
execute if entity @s[tag=ch.dye,gamemode=!creative] run item modify entity @s weapon.mainhand christmas:count-1

# Interacted tag
execute if entity @s[tag=ch.dye] run tag @e[limit=1,sort=nearest,tag=ch.present_interaction] add ch.interacted
tag @s remove ch.dye