# Transform into villager

tag @s add ch.elf
# Give ID
scoreboard players add ch.system ch.elf_id 1
scoreboard players operation @s ch.elf_id = ch.system ch.elf_id

# Elf skin
summon item_display ~ ~ ~ {Tags:["ch.elf_head"],item:{id:"minecraft:stick",Count:1b,tag:{CustomModelData:700011}}}
execute as @e[type=item_display,tag=ch.elf_head,tag=!ch.registered,limit=1,sort=nearest] run scoreboard players operation @s ch.elf_id = ch.system ch.elf_id
tag @e[type=item_display,tag=ch.elf_head,tag=!ch.registered,limit=1,sort=nearest] add ch.registered

summon item_display ~ ~ ~ {Tags:["ch.elf_body"],item:{id:"minecraft:stick",Count:1b,tag:{CustomModelData:700012}}}
execute as @e[type=item_display,tag=ch.elf_body,tag=!ch.registered,limit=1,sort=nearest] run scoreboard players operation @s ch.elf_id = ch.system ch.elf_id
tag @e[type=item_display,tag=ch.elf_body,tag=!ch.registered,limit=1,sort=nearest] add ch.registered

# Trades (And other data)
data merge entity @s {CustomName:'{"text":"Elf"}',VillagerData:{profession:"minecraft:nitwit"},Offers:{Recipes:[{maxUses:2147483647,priceMultiplier:0f,specialPrice:0,demand:0,buy:{id:"minecraft:emerald",Count:1b},sell:{id:"minecraft:baked_potato",Count:2b,tag:{display:{Name:'{"text":"Candy Cane","color":"white","italic":false}'},CustomModelData:700009}}},{maxUses:2147483647,priceMultiplier:0f,specialPrice:0,demand:0,buy:{id:"minecraft:sugar",Count:4b},sell:{id:"minecraft:emerald",Count:1b}},{maxUses:2147483647,priceMultiplier:0f,specialPrice:0,demand:0,buy:{id:"minecraft:emerald",Count:2b},sell:{id:"minecraft:item_frame",Count:4b,tag:{display:{Name:'{"text":"Christmas Lights","color":"white","italic":false}'},CustomModelData:700000,EntityTag:{Fixed:1b,Invisible:1b,Silent:1b,Invulnerable:1b,Tags:["ch.lights"]}}}},{maxUses:2147483647,priceMultiplier:0f,specialPrice:0,demand:0,buy:{id:"minecraft:chain",Count:2b},sell:{id:"minecraft:emerald",Count:4b}},{maxUses:2147483647,priceMultiplier:0f,specialPrice:0,demand:0,buy:{id:"minecraft:emerald",Count:1b},sell:{id:"minecraft:item_frame",Count:1b,tag:{display:{Name:'{"text":"Christmas Wreath","color":"white","italic":false}'},CustomModelData:700006,EntityTag:{Fixed:1b,Invisible:1b,Silent:1b,Invulnerable:1b,Tags:["ch.wreath"]}}}},{maxUses:2147483647,priceMultiplier:0f,specialPrice:0,demand:0,buy:{id:"minecraft:oak_leaves",Count:4b},sell:{id:"minecraft:emerald",Count:1b}}]}}
function christmas:items/hat/function/villager/random_trade

# Effects
particle minecraft:dust 1 1 1 2 ~ ~1 ~ 0.2 0.5 0.2 10 100 normal
playsound entity.illusioner.cast_spell neutral @a ~ ~ ~
kill @e[type=item,nbt={Item:{tag:{ch:hat}}},limit=1,sort=nearest]